<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>All posts</title>
    <link rel="stylesheet" href="/poists.css">
</head>
<body>
    <div class="container">
        <h1>All Posts</h1>
        <button ><a href="http://localhost:3000/posts/newPost">Add Posts</a></button>
      <div class="posts">
        <% for( let postSingle of posts ) { %>
            <h2>@<%= postSingle.username%></h2>
            <p><%= postSingle.content %></p>
            <button><a href="http://localhost:3000/posts/<%= postSingle.id %>">See Details</a></button>
            <button><a href="http://localhost:3000/posts/<%= postSingle.id %>/edit">Edit</a></button>
            <form action="/posts/<%=postSingle.id%>?_method=DELETE" method="post">
              <button>Delete</button>
            </form>
           <% } %>
           
      </div>
    </div>
</body>
</html>